org.eclipse.handly.ui.callhierarchy

## Class LocationTableLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.handly.ui.callhierarchy.LocationTableLabelProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

      public class LocationTableLabelProvider
      extends org.eclipse.jface.viewers.BaseLabelProvider
      implements org.eclipse.jface.viewers.ITableLabelProvider

  Default implementation of a label provider for the call location table.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `LocationTableLabelProvider.Column` Enumeration of the columns in the call location table.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocationTableLabelProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LocationTableLabelProvider.Column` | `getColumn(int columnIndex)` Given a column index in the call location table, returns the corresponding `LocationTableLabelProvider.Column`.
    `org.eclipse.swt.graphics.Image` | `getColumnImage(java.lang.Object element, int columnIndex)`
    `java.lang.String` | `getColumnText(java.lang.Object element, int columnIndex)`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, dispose, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### LocationTableLabelProvider

          public LocationTableLabelProvider()

  - ### Method Detail

    - #### getColumnImage

          public org.eclipse.swt.graphics.Image getColumnImage(java.lang.Object element,
                                                               int columnIndex)

      Specified by:
        `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

    - #### getColumnText

          public java.lang.String getColumnText(java.lang.Object element,
                                                int columnIndex)

      Specified by:
        `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

    - #### getColumn

          protected LocationTableLabelProvider.Column getColumn(int columnIndex)

      Given a column index in the call location table, returns the corresponding `LocationTableLabelProvider.Column`.

      Default implementation returns the enumeration constant with the ordinal that is equal to the given index, or `null` if there is no such constant.

      Parameters:
        `columnIndex` - the index of the column in the call location table
      Returns:
        the corresponding column, or `null` if none

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0